#pragma once

#include "MidiChannelEvent.h"

#include <fstream>

class MidiChannelEventAdapter
{
public:
    static int readEvent(std::ifstream* file, char firstByte, MidiChannelEvent* event, MidiChannelEvent::Type& lastEventType);

    static int readEventData(std::ifstream* file, MidiChannelEvent* event, char c);
    static int readEventData(std::ifstream* file, MidiChannelEvent* event);
};
